package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.open.PaperStructure;
import com.qmth.distributed.print.business.entity.GradePaperStruct;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 分析-试卷结构（蓝图）表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
public interface GradePaperStructMapper extends BaseMapper<GradePaperStruct> {

    PaperStructure findBySchoolIdAndPaperNumberAndPaperType(@Param("schoolId") Long schoolId, @Param("paperNumber") String paperNumber, @Param("paperType") String paperType);
}
